org.apache.poi.ss.usermodel

## Enum CellType

- java.lang.Object
- - java.lang.Enum<CellType>
  - - org.apache.poi.ss.usermodel.CellType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CellType>

      public enum CellType
      extends java.lang.Enum<CellType>

  Since:
    POI 3.15 beta 3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_NONE` Unknown type, used to represent a state prior to initialization or the lack of a concrete type.
    `BLANK` Blank cell type
    `BOOLEAN` Boolean cell type
    `ERROR` Error cell type
    `FORMULA` Formula cell type
    `NUMERIC` Numeric cell type (whole numbers, fractional numbers, dates)
    `STRING` String (text) cell type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CellType` | `forInt(int code)` Deprecated. POI 3.15 beta 3. Used to transition code from `int`s to `CellType`s.
    `int` | `getCode()` Deprecated. POI 3.15 beta 3
    `static CellType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CellType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### _NONE

          @Internal(since="POI 3.15 beta 3")
          public static final CellType _NONE

      Unknown type, used to represent a state prior to initialization or the lack of a concrete type. For internal use only.

    - #### NUMERIC

          public static final CellType NUMERIC

      Numeric cell type (whole numbers, fractional numbers, dates)

    - #### STRING

          public static final CellType STRING

      String (text) cell type

    - #### FORMULA

          public static final CellType FORMULA

      Formula cell type
      See Also:
        `FormulaType`

    - #### BLANK

          public static final CellType BLANK

      Blank cell type

    - #### BOOLEAN

          public static final CellType BOOLEAN

      Boolean cell type

    - #### ERROR

          public static final CellType ERROR

      Error cell type
      See Also:
        `FormulaError`

  - ### Method Detail

    - #### values

          public static CellType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CellType c : CellType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CellType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### forInt

          public static CellType forInt(int code)

      Deprecated. POI 3.15 beta 3. Used to transition code from `int`s to `CellType`s.
      Since:
        POI 3.15 beta 3.

    - #### getCode

          public int getCode()

      Deprecated. POI 3.15 beta 3
      Since:
        POI 3.15 beta 3

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.